using System;

namespace vezba
{
    class Program
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            string[] k = Console.ReadLine().Split();
            int a = int.Parse(k[0]);
            int b = int.Parse(k[1]);

            if (Math.Abs(a - b) >= 2) Console.WriteLine("nemoguce");
            else if(a > b)
            {
                for(int i = 0; i < b; i++)
                {
                    Console.Write(s);
                }
                Console.Write(s[0]);
            }
            else if(b > a)
            {
                Console.Write(s[1]);
                for (int i = 0; i < a; i++)
                {
                    Console.Write(s);
                }
            }
            else
            {
                for (int i = 0; i < a; i++)
                {
                    Console.Write(s);
                }
            }
        }
    }
}